play.deps

## Class PlayConflictManager

- java.lang.Object
- - org.apache.ivy.plugins.conflict.AbstractConflictManager
  - - play.deps.PlayConflictManager

All Implemented Interfaces:
  org.apache.ivy.plugins.conflict.ConflictManager, org.apache.ivy.plugins.IvySettingsAware

    public class PlayConflictManager
    extends org.apache.ivy.plugins.conflict.AbstractConflictManager

### Field Summary

Fields
`org.apache.ivy.plugins.conflict.LatestConflictManager` `delegate`

### Constructor Summary

Constructors
Constructor and Description
`PlayConflictManager()`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.util.Collection<org.apache.ivy.core.resolve.IvyNode>` `resolveConflicts(org.apache.ivy.core.resolve.IvyNode in, java.util.Collection conflictsUntyped)`

### Methods inherited from class org.apache.ivy.plugins.conflict.AbstractConflictManager

`getName, getSettings, handleAllBlacklistedRevisions, setName, setSettings, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### delegate

    public org.apache.ivy.plugins.conflict.LatestConflictManager delegate

### Constructor Detail

#### PlayConflictManager

    public PlayConflictManager()

### Method Detail

#### resolveConflicts

    public java.util.Collection<org.apache.ivy.core.resolve.IvyNode> resolveConflicts(org.apache.ivy.core.resolve.IvyNode in,
                                                                                      java.util.Collection conflictsUntyped)